/**
 * Copyright © 2021 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { HOCDef } from '@bodiless/fclasses';
/**
 * Makes all Breadcrumb design components stylable.
 */
export declare const asStylableBreadcrumbs: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * Applies supplied tokenDefs to all breadcrumb items.
 *
 * @returns HOC - a token that applies provided tokenDefs to all breadcrumb items.
 */
export declare const withBreadcrumbItemToken: (...tokenDefs: HOCDef[]) => import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * Hoc to make breadcrumbs accessible
 */
export declare const asAccessibleBreadcrumbs: import("@bodiless/fclasses").HOCWithMeta<{}, Partial<import("./types").CleanBreadcrumbsProps>, {}>;
//# sourceMappingURL=Breadcrumb.token.d.ts.map