/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ComponentType } from 'react';
import { HOC } from '@bodiless/fclasses';
/**
 * HOC that adds breadcrumb store and renders breadcrumbs.
 * @param Component that pushes its data to the store.
 */
export declare const withBreadcrumbStore: HOC;
/**
 * HOC that adds breadcrumb store and renders breadcrumbs.
 * @param Component that pushes its data to the store.
 */
declare const withBreadcrumbs: (Component: ComponentType<any>) => import("@bodiless/fclasses").ComponentWithMeta<import("@bodiless/fclasses").PP<any, {}, {}>>;
export default withBreadcrumbs;
//# sourceMappingURL=withBreadcrumbs.d.ts.map