var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from 'react';
import { Helmet } from 'react-helmet';
import { firstItemHomeLinkReducer } from './withBreadcrumbItemsFromStore';
import { useBreadcrumbStore } from './BreadcrumbStoreProvider';
// We need a full url in the breadcrumbs LD item.
var generateUrl = function (url) { return (typeof window !== 'undefined'
    ? new URL(url, window.location.origin).href
    : url); };
var withBreadcrumbsSD = function (Component) { return function (props) {
    var _a = props.itemsReducer, itemsReducer = _a === void 0 ? firstItemHomeLinkReducer : _a, _b = props.renderLastItemWithoutLink, renderLastItemWithoutLink = _b === void 0 ? false : _b, _c = props.hasStartingTrail, hasStartingTrail = _c === void 0 ? false : _c;
    var store = useBreadcrumbStore();
    var hasStartingTrail$ = typeof hasStartingTrail === 'function' ? hasStartingTrail() : hasStartingTrail;
    var renderLastItemWithoutLink$ = typeof renderLastItemWithoutLink === 'function'
        ? renderLastItemWithoutLink()
        : renderLastItemWithoutLink;
    // Do nothing if there is no store
    if (!store)
        return React.createElement(Component, __assign({}, props));
    var items = itemsReducer(store.breadcrumbTrail, { hasStartingTrail: hasStartingTrail$ });
    // Do nothing if there are no items in the store
    if (items.length <= 0)
        return React.createElement(Component, __assign({}, props));
    /* eslint-disable @typescript-eslint/indent */
    var breadcrumbItems = items.map(function (uuid) { return store.getItem(uuid); })
        .reduce(function (prev, current, index) {
        if (current === undefined)
            return prev;
        var isLastItem = index === (items.length - 1);
        if (isLastItem && renderLastItemWithoutLink$)
            return prev;
        prev.push({
            '@type': 'ListItem',
            // We increment in 1 to accomodate for the index offset ( starts from 0 )
            position: index + 1,
            item: {
                '@id': current.link.data ? generateUrl(current.link.data) : '',
                name: current.title.data,
            },
        });
        return prev;
    }, []);
    // We exclude first home trail and the last trail if `renderLastItemWithoutLink` enabled.
    // If no breadcrumbs left, do nothing.
    if (breadcrumbItems.length <= 0)
        return React.createElement(Component, __assign({}, props));
    var breadcrumbsSDHeader = {
        '@context': 'https://schema.org',
        '@type': 'BreadcrumbList',
        itemListElement: __spreadArray([], breadcrumbItems, true),
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Helmet, null,
            React.createElement("script", { type: "application/ld+json" }, JSON.stringify(breadcrumbsSDHeader))),
        React.createElement(Component, __assign({}, props))));
}; };
export default withBreadcrumbsSD;
//# sourceMappingURL=withBreadcrumbsStructuredData.js.map