/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * A HOC that adds styles to the Button component of Burger Menu Toggler.
 * Adds pointer styles.
 *
 * @return HOC that adds styles to the Button component.
 */
declare const withBurgerMenuTogglerStyles: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * A HOC that disables pointer events on the accordion Label element.
 *
 * @return HOC that disables pointer events on the accordion Label element.
 */
declare const withDisabledTitleLink: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * A HOC that adds styles and transitions needed for a slide-in animation for the Burger menu.
 *
 * @return HOC that applies required styles for slide-in animation.
 */
declare const asSlideLeft: import("@bodiless/fclasses").HOCWithMeta<{}, {}, {}>;
export { asSlideLeft, withDisabledTitleLink, withBurgerMenuTogglerStyles, };
//# sourceMappingURL=BurgerMenu.token.d.ts.map