/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Div, designable, Nav as NavBase, Fragment, } from '@bodiless/fclasses';
var burgerMenuComponents = {
    Wrapper: Div,
    Nav: NavBase,
    Menu: Div,
    Header: Div,
    Overlay: Div,
};
var BurgerMenuBase = function (_a) {
    var components = _a.components, rest = __rest(_a, ["components"]);
    var Wrapper = components.Wrapper, Nav = components.Nav, Menu = components.Menu, Header = components.Header, Overlay = components.Overlay;
    return (React.createElement(Fragment, null,
        React.createElement(Wrapper, null,
            React.createElement(Header, null),
            React.createElement(Nav, null,
                React.createElement(Menu, __assign({}, rest)))),
        React.createElement(Overlay, null)));
};
var BurgerMenuClean = designable(burgerMenuComponents, 'BurgerMenu')(BurgerMenuBase);
export default BurgerMenuClean;
//# sourceMappingURL=BurgerMenuClean.js.map