/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ComponentType } from 'react';
declare const asAccessibleMenuTitle: (isSubmenuIndicator?: boolean) => (Component: ComponentType<any> | string) => ({ ariaLabelSuffix, ...rest }: any) => JSX.Element;
/**
 * HOC that adds an accessibility attributes to the menu
 */
declare const withAccessibleMenuAttr: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * HOC that wraps menu in the Nav tag and adds an ability
 * to toggle submenus with a keyboard.
 */
declare const withAccessibleMenuInteractions: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * HOC that makes menu accessible.
 * Wraps menu in Nav tag and adds keyboard interactions.
 */
declare const asAccessibleMenu: import("@bodiless/fclasses").HOCWithMeta<{}, {}, {}>;
/**
 * HOC that adds an accessibility attributes to the Sub Menu.
 */
declare const withAccessibleSubMenuAttr: import("@bodiless/fclasses").HOC<{}, {}, {}>;
/**
 * HOC that makes Sub Menu accessible.
 * It adds Sub Menu indicator to the main menu items that have submenus
 * and accessibility attributes to the submenu items.
 */
declare const asAccessibleSubMenu: import("@bodiless/fclasses").HOCWithMeta<{}, {} & object, {}>;
export { withAccessibleMenuAttr, withAccessibleSubMenuAttr, withAccessibleMenuInteractions, asAccessibleMenu, asAccessibleSubMenu, asAccessibleMenuTitle, };
//# sourceMappingURL=asAccessibleMenu.d.ts.map