/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { WithNodeKeyProps } from '@bodiless/core';
import type { UseListOverrides, ListData } from '@bodiless/components';
/**
 * Bodiless HOC generator which creates the basic structure of the Bodiless Menu.
 *
 * This serves as a base for various views on the Menu data, including
 * a site's main menu, a burger menu and breadcrumbs.
 *
 * @param nodeKeys Location where the menu state data should be stored.
 * @param defaultData Default menu data.
 * @param useOverrides Hook returning overrides for the menu button.

 * @return HOC which creates a basic mega menu list.
 */
declare const asBodilessMenu: <P extends object>(nodeKeys?: WithNodeKeyProps | undefined, defaultData?: ListData | undefined, useOverrides?: UseListOverrides<P>) => import("@bodiless/fclasses").HOCWithMeta<unknown, Omit<import("@bodiless/components/lib/List/types").ListBaseProps, "components"> & Partial<import("@bodiless/core").WithNodeProps> & import("@bodiless/fclasses").DesignableProps<import("@bodiless/components").ListComponents> & import("@bodiless/core").WithNodeProps, {}>;
export default asBodilessMenu;
//# sourceMappingURL=asBodilessMenu.d.ts.map