/**
 * Copyright © 2020 Johnson & Johnson
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { HOC } from '@bodiless/fclasses';
/**
 * Helper which can be used to add a List submenu option to the menu.
 *
 * @param withTitleDesign optional token which will be applied to the sublist title.
 *
 */
declare const withListSubMenu: (withTitleDesign?: HOC<{}, {}, {}> | undefined) => HOC<{}, {}, {}>;
/**
 * Helper which can be used to add a Cards submenu option to the menu.
 *
 * @param withTitleDesign optional token which will be applied to the sublist title.
 *
 */
declare const withCardsSubMenu: (withTitleDesign?: HOC<{}, {}, {}> | undefined) => HOC<{}, {}, {}>;
/**
 * Helper which can be used to add a Columns submenu option to the menu.
 *
 * @param withTitleDesign optional token which will be applied to the sublist title.
 *
 */
declare const withColumnSubMenu: (withTitleDesign?: HOC<{}, {}, {}> | undefined) => HOC<{}, {}, {}>;
export { withListSubMenu, withCardsSubMenu, withColumnSubMenu, };
//# sourceMappingURL=withSubMenu.d.ts.map